package org.jeecg.modules.fbsBasedate.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsBasedate.entity.FbsTechnologicalProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 工艺流程档案
 * @author： jeecg-boot
 * @date：   2021-01-14
 * @version： V1.0
 */
public interface FbsTechnologicalProcessMapper extends BaseMapper<FbsTechnologicalProcess> {

    IPage<FbsTechnologicalProcess> findByPage(IPage<FbsTechnologicalProcess> page, @Param("ew") QueryWrapper<FbsTechnologicalProcess> queryWrapper);

    /**
     * 列表导出主子表数据
     * @param fbsTechnologicalProcess
     * @return
     */
    List<FbsTechnologicalProcess> getExport( @Param("fbsTechnologicalProcess")FbsTechnologicalProcess fbsTechnologicalProcess);
}
