package org.jeecg.modules.fbsBasedate.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsBasedate.entity.FbsTechnologicalProcess;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 工艺流程档案
 * @author： jeecg-boot
 * @date：   2021-01-14
 * @version： V1.0
 */
public interface IFbsTechnologicalProcessService extends IService<FbsTechnologicalProcess> {
    void addAll(FbsTechnologicalProcess fbsTechnologicalProcess);

    void updateAll(FbsTechnologicalProcess fbsTechnologicalProcess);

    IPage<FbsTechnologicalProcess> findByPage(IPage<FbsTechnologicalProcess> page, QueryWrapper<FbsTechnologicalProcess> queryWrapper);

    List<FbsTechnologicalProcess> getExport(FbsTechnologicalProcess fbsTechnologicalProcess);
}
